% VKill v3.00a Configuration File
% (C)opyright 1992, Cairo Research Labs

% Path for Moving Infected or Corrupted Archives
%
% This directory is where VKill will place all corrupted archives,
% infected files, and files with suspicious extensions.
% (No trailing backslashes!)

BADPATH C:\BADFILES

% WORKPATH - This is where VKill will attempt to unarchive the upload, and
%            any embedded archives.   By pointing this to a RAM drive, you
%            speed things up tremendously.  If your upload drive is low on
%            space, simply point this to another drive with more room.
%            (No trailing backslashes!)

WORKPATH E:

% DEBUG - When this option is enabled, debugging information will be logged
%         to the logfile.  Helpful when tracking down problems or reporting
%         possible bugs.

%DEBUG

% SPAWNWIN or
% SPAWNFULL - These keywords determine the way in which VKill will spawn
%             all calls to archivers and virus scanners.  The default is
%             to spawn them in a popup window, but this may cause some
%             problems on some systems.  If you experience lockups or other
%             problems, you may want to change this to SPAWNFULL.

SPAWNFULL

% SWAPMODE - This keyword instructs VKill to utilize disk/memory swapping
%            when calling archivers and virus scanners.  This option is only
%            available when using the SPAWNFULL option above.  This is due
%            to interrupt conflicts when routing the output streams to a
%            window (this will hopefully be remedied in the future!).
%
% FORMAT: SWAPMODE (spawpaths separated by semicolons)
%         (i.e. SWAPMODE C:\TEMP;E:;D:
%
% VKill will attempt to use the first path specified in the SWAPMODE setting
% to perform swapping.  If space is a problem, it will attempt to use the
% next one, ad infinitum.  Note that if the EMS option is enabled, this
% setting acts as a second line of defense in case you are low on memory.

SWAPMODE E:;C:\TEMP;

% NOSWAPEMS - This option will prevent the VKill swapping system from making
%             use of EMS to perform its swapping.  This is provided only
%             for compatibility reasons on certain systems.

%NOSWAPEMS

% Path for VKill Log File(s)
%
% This is where VKill will create and maintain the log file(s) for each
% node of your BBS.  The log files will be called VKILL1.LOG, VKILL2.LOG, etc
% (No trailing backslashes!)

LOGPATH C:\MAX\LOGS

% Date Check Stamp Information
%
% If you do not wish to accept archives containing files older than a certain
% date, then put the date here.  If you do not care how old the file is, then
% simply comment out the DATECHECK option by placing a "%" at the beginning
% of the line.
%
% FORMAT:    DATECHECK (mode) (date stamp)
%
% The (mode) option can be one of two things: ALL or ARC.  If ALL is
% specified, then ALL files in the archive (including embedded archives)
% will be checked against the date stamp for retention purposes. If *ANY*
% of them should be older than the date stamp here, then a bad upload is
% incurred.  If ARC is specified, then only the archive itself is checked
% against the date stamp (i.e. just the uploaded .ZIP file, nothing in the
% archive (or embedded) will be checked.

DATECHECK
ARC
01/01/90

% UnArchiver Information
%
% FORMAT:  ARCDEF (Keyword specifying new archiver definition)
%          EXTENSION
%          SOFTOPTIONS
%          PATH and EXECUTEABLE [cmd line parms]
%
% Here is where you define which archivers will be used for specific
% extensions.  If a new archiver comes along, just add it in.
%
% The "SoftOptions" field is used if an archiver needs a switch, such
% as "E" to extract.  (i.e. ARJ E C:\UPLOADS\GAME.ARJ)...

ARCDEF
ARJ
E
ARJ.EXE

ARCDEF
LZH
E
LHA.EXE

ARCDEF
PAK
E
PAK.EXE

ARCDEF
ZIP
-o
PKUNZIP.EXE

% Scanner Information
%
% Here is where your virus scanner is defined.  The sample included here
% is for McAfee's VIRUSCAN.  VKill has been tested with F-PROTECT and TBSCAN
% as well.  F-PROTECT worked just fine, with the exception of the Sysop end
% looking a bit fried, as both VKill and FP fought for a video interrupt ;-)
% TBSCAN failed, however, but this should be fixed in 3.0.
%
% FORMAT: SCANDEF
%         EXECUTEABLE SCANNER
%         FIRST PASS SOFTOPTIONS
%         SUBSEQUENT SOFTOPTIONS
%         CLEAN EXIT ERRORLEVEL

SCANDEF
SCAN.EXE
/a /nopause
/a /nomem /nopause
0

% Special File Extensions
%
% Use these area to define file extensions that are not archives, but are
% considered to be acceptable extensions.  Uploads ending with these
% extensions will *NOT* be moved to the BADPATH area.  You may have up to 20
% of these.
%
% FORMAT: BEGINEXT
%         .
%         .
%         ENDEXT

BEGINEXT
.XXX
.GIF
.MOD
.VOC
ENDEXT

